import React from 'react';
import { Button, Layout, Menu } from 'antd';
import {
    MenuUnfoldOutlined,
    MenuFoldOutlined,
    UserOutlined,
    VideoCameraOutlined,
    UploadOutlined,
    LeftCircleFilled,
} from '@ant-design/icons';
import "./home.css";
import ContentTabs from './tabs';
import { HashRouter, Link, Redirect, Route, Switch} from 'react-router-dom';
import { any } from 'prop-types';


const { Header, Sider, Content } = Layout;

class Home extends React.Component {
    state = {
        collapsed: false,
    };

    toggle = () => {
        this.setState({
            collapsed: !this.state.collapsed,
        });
    };

    render() {
        var props:any = this.props;
        const { match } = props;
        console.log();
        return (
                // var props:any = this.props;
                
                

                <Layout className="site-layout">

                    <Header className="header-layout" style={{ padding: 0 }}>

                    <Menu theme="dark" mode="horizontal" defaultSelectedKeys={['1']}>
                        <Menu.Item key="1" icon={<UserOutlined />}  >
                            <HashRouter>
                                <Link  to="/tab1">tab 1</Link> 
                            </HashRouter>
                        </Menu.Item>
                        <Menu.Item key="2" icon={<VideoCameraOutlined />}>
                            <HashRouter>
                                <Link to="/tab2">tab 2</Link> 
                            </HashRouter>
                        </Menu.Item>
                        <Menu.Item key="3" icon={<UploadOutlined />}>
                             <HashRouter>
                                <Link to="/info">nav 3</Link> 
                            </HashRouter>
                        </Menu.Item>
                    </Menu>
                    </Header>

                    <Content
                        className="content-layout"
                    >
                        <HashRouter>
                            <Switch>
                            <Route   path={`/:id`} component={ContentTabs}></Route>
                                <Route path="/"  > 
        <Redirect to="/tab1">...{console.log("tab1 redirect")}</Redirect> 
                                </Route> 
                                
                                {/* <Route   path={`/info/:id`} ></Route> */}
                            </Switch>
                        </HashRouter>
                        
                    </Content>
         
            </Layout>
        );
    }
}

export default Home;