import { AndroidOutlined, AppleOutlined } from '@ant-design/icons';
import { Tabs } from 'antd';
import React from 'react';

const { TabPane } = Tabs;

class ContentTabs extends React.Component {
    

    
    render() {
        var props:any = this.props;
        const {location, match} = props;  
        const {state} = location;
        console.log(props);
        var key = match.params.id;
        console.log(key);

        return (
            <Tabs defaultActiveKey={key} >
                <TabPane
                    tab={<span><AppleOutlined />Tab 1</span>}
                    key="tab1"
                >
                    Tab 1
                </TabPane>
                <TabPane tab={<span><AndroidOutlined />Tab 2</span>}
                    key="tab2"
                >
                    Tab 2
                </TabPane>
            </Tabs>
        )
    }
}

export default ContentTabs;